List person for a profile

Get all person where this profile is linked to persons/guests

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required

Entity ID

Query Params
string
enum

Filter by relationship type

Allowed:
roles
array of objects

Filter by profile person roles. Returns persons matching any of the specified roles.
Use comma-separated values for multiple roles.

roles
string
Defaults to createdAt:desc

Sort profile persons by field and direction in format: field:direction
Multiple fields can be separated by semicolon.
Examples: role:asc, createdAt:desc, role:asc;createdAt:desc
Valid fields: role, createdAt, updatedAt
Valid directions: asc, desc (default: asc)
Default sort: createdAt:desc

string

Cursor token for pagination. Use the nextPageToken from the previous response to fetch the next page.

Usage:

  • Omit or pass empty string for the first page
  • Pass the nextPageToken from previous response for subsequent pages
  • When nextPageToken is null in the response, you've reached the last page

Benefits over offset-based pagination:

  • Consistent results even when data changes between requests
  • Better performance for large datasets (no row skipping)
  • No maximum page limit
integer
1 to 500
Defaults to 100

Page size. Specifies the maximum number of items to return in a single response.

Limits:

  • Minimum: 1
  • Maximum: 500
  • Default: 100
Headers
int64

Property ID

int64
required

Organization ID

Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json